Imports System.IO

Public Class frmFileInfoToListbox

   Private _Files As FileInfo()
   Private _DisplayMembers As String() = "Name Fullname Extension Length Exists Attributes CreationTime".Split

   Private Sub frmFileInfoToListbox_Load(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Load
      cmbDisplayMember.DataSource = _DisplayMembers
      dlgFolder.SelectedPath = Path.GetFullPath("..\..\")
      Reload()
   End Sub

   Private Sub cmbDisplayMember_SelectedIndexChanged(ByVal sender As Object, ByVal e As EventArgs) Handles cmbDisplayMember.SelectedIndexChanged
      lstFiles.DisplayMember = _DisplayMembers(cmbDisplayMember.SelectedIndex)
   End Sub

   Private Sub btFolder_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btFolder.Click
      If dlgFolder.ShowDialog <> Windows.Forms.DialogResult.OK Then Return
      Reload()
   End Sub

   Private Sub btShowCreationTime_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btShowCreationTime.Click
      MessageBox.Show(_Files(lstFiles.SelectedIndex).CreationTime.ToString)
   End Sub

   Private Sub Reload()
      Dim di = New DirectoryInfo(dlgFolder.SelectedPath)
      _Files = di.GetFiles("*.*", SearchOption.AllDirectories)
      lstFiles.DataSource = _Files
   End Sub

End Class